Package org.eclipse.ecf.core.sharedobject

## Interface ISharedObjectContainerGroupManager

All Known Implementing Classes:
  `ServerSOContainer`, `ServletServerContainer`, `SSLServerSOContainer`, `TCPServerSOContainer`

    public interface ISharedObjectContainerGroupManager

Contract for shared object container group manager (e.g. servers)

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `ejectAllGroupMembers​(Serializable reason)` Eject all, for the given reason.
`void` `ejectGroupMember​(ID groupMemberID, Serializable reason)` Eject the given groupMemberID from the current group of containers, for the given reason.
`void` `setConnectPolicy​(IConnectHandlerPolicy policy)` Set the join policy for this group manager.

### Method Detail

#### setConnectPolicy

    void setConnectPolicy​(IConnectHandlerPolicy policy)

Set the join policy for this group manager. If the policy is set to null, the implementing container is not obligated to consult the policy. If non-null, the given policy's checkJoin method is called before the manager agrees to the join of a given group participant.

Parameters:
  `policy` -

#### ejectGroupMember

    void ejectGroupMember​(ID groupMemberID,
                          Serializable reason)

Eject the given groupMemberID from the current group of containers, for the given reason.

Parameters:
  `groupMemberID` - the ID of the group member to eject. If null, or if group member is not in group managed by this object, the method has no effect
  `reason` - a reason for the ejection

#### ejectAllGroupMembers

    void ejectAllGroupMembers​(Serializable reason)

Eject all, for the given reason.

Parameters:
  `reason` - a reason for the ejection